Swift 3.0正式版本釋出 無法直接相容2.2、2.3版本

2016.09.14 09:53PM
36
是Swift 3.0正式版本釋出 無法直接相容2.2、2.3版本這篇文章的首圖

今年並未特別在WWDC 2016期間提及的新版Swift,稍早確認釋出Swift 3.0正式版本,確認將因核心語言架構與標準函式庫等改變,因此將無法相容舊版Swift 2.2、2.3版本。

img_0310_resize

蘋果稍早於Swift官方網站公布Swift 3.0正式版本釋出消息,將承襲去年宣布開源使用的Swift 2.0架構,但將大幅調整核心語言架構與標準函式庫等設計,同時也將改變Objective-C內容透過API導入的方式,因此將無法相容既有Swift 2.2、2.3版本。不過,配合Swift 3.0版本改變,將透過Xcode 8.0提供編碼遷移工具,並且可透過系統自動轉換程式碼內容,使其相容Swift 3.0運作模式。

此外,蘋果也宣布今年在WWDC 2016期間宣布推出的Swift Playgrounds for iPad正式推出,將可解由圖像形式讓學齡兒童快速學習編碼邏輯。

你也許會想看以下內容:

相關

回應 0